# GstVulkanCommandBuffer

vulkancommandbuffer holds information about a command buffer.

## GstVulkanCommandBuffer

### Members

`parent` (GstMiniObject) –

the parent GstMiniObject

`cmd` (VkCommandBuffer) –

the vulkan command buffer handle

`pool` (GstVulkanCommandPool *) –

the parent GstVulkanCommandPool for command buffer reuse and locking

`level` (VkCommandBufferLevel) –

the level of the vulkan command buffer

Since : 1.18

## GstVulkan.VulkanCommandBuffer

### Members

`parent` (Gst.MiniObject) –

the parent Gst.MiniObject

`cmd` (Vulkan.CommandBuffer) –

the vulkan command buffer handle

`pool` (GstVulkan.VulkanCommandPool) –

the parent GstVulkan.VulkanCommandPool for command buffer reuse and locking

`level` (Vulkan.CommandBufferLevel) –

the level of the vulkan command buffer

Since : 1.18

## GstVulkan.VulkanCommandBuffer

### Members

`parent` (Gst.MiniObject) –

the parent Gst.MiniObject

`cmd` (Vulkan.CommandBuffer) –

the vulkan command buffer handle

`pool` (GstVulkan.VulkanCommandPool) –

the parent GstVulkan.VulkanCommandPool for command buffer reuse and locking

`level` (Vulkan.CommandBufferLevel) –

the level of the vulkan command buffer

Since : 1.18

### Constructors

#### gst_vulkan_command_buffer_new_wrapped

    GstVulkanCommandBuffer *
    gst_vulkan_command_buffer_new_wrapped (VkCommandBuffer cmd,
                                           VkCommandBufferLevel level)

Parameters:

`cmd` –

a VkCommandBuffer

`level` –

the VkCommandBufferLevel for cmd

Returns ( [transfer: full]) –

a new GstVulkanCommandBuffer

Since : 1.18

#### GstVulkan.VulkanCommandBuffer.prototype.new_wrapped

    function GstVulkan.VulkanCommandBuffer.prototype.new_wrapped(cmd: Vulkan.CommandBuffer, level: Vulkan.CommandBufferLevel): {
        // javascript wrapper for 'gst_vulkan_command_buffer_new_wrapped'
    }

Parameters:

`cmd` (Vulkan.CommandBuffer) –

a VkCommandBuffer

`level` (Vulkan.CommandBufferLevel) –

the VkCommandBufferLevel for cmd

Returns (GstVulkan.VulkanCommandBuffer) –

a new GstVulkan.VulkanCommandBuffer

Since : 1.18

#### GstVulkan.VulkanCommandBuffer.new_wrapped

    def GstVulkan.VulkanCommandBuffer.new_wrapped (cmd, level):
        #python wrapper for 'gst_vulkan_command_buffer_new_wrapped'

Parameters:

`cmd` (Vulkan.CommandBuffer) –

a VkCommandBuffer

`level` (Vulkan.CommandBufferLevel) –

the VkCommandBufferLevel for cmd

Returns (GstVulkan.VulkanCommandBuffer) –

a new GstVulkan.VulkanCommandBuffer

Since : 1.18

### Methods

#### gst_vulkan_command_buffer_ref

    GstVulkanCommandBuffer *
    gst_vulkan_command_buffer_ref (GstVulkanCommandBuffer * cmd)

Increases the refcount of the given buffer by one.

Parameters:

`cmd` –

a GstVulkanCommandBuffer.

Returns ( [transfer: full]) –

cmd

Since : 1.18

## Function Macros

### gst_vulkan_command_buffer_lock

    #define gst_vulkan_command_buffer_lock(cmd) (gst_vulkan_command_pool_lock((cmd)->pool))

Lock cmd for writing cmmands to cmd. Must be matched by a corresponding gst_vulkan_command_buffer_unlock.

Parameters:

`cmd` –

the GstVulkanCommandBuffer

Since : 1.18

### gst_vulkan_command_buffer_unlock

    #define gst_vulkan_command_buffer_unlock(cmd) (gst_vulkan_command_pool_unlock((cmd)->pool))

Unlock cmd for writing cmmands to cmd. Must be matched by a corresponding gst_vulkan_command_buffer_lock.

Parameters:

`cmd` –

the GstVulkanCommandBuffer

Since : 1.18

## Constants

### GST_TYPE_VULKAN_COMMAND_BUFFER

    #define GST_TYPE_VULKAN_COMMAND_BUFFER (gst_vulkan_command_buffer_get_type ())

Since : 1.18

The results of the search are